<?php
/**
* @version $Id: mod_scorpion_morestyle.php - 04/11/2023
* @copyright	Copyright (C) Scorpion Computers and Software, Inc. All rights reserved.
* @license		GNU General Public License version 2 or later; http://www.gnu.org/copyleft/gpl.html
* @email		info@scorpioncomputers.nl
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$doc = JFactory::getDocument();
$moreStyle = $params->get( 'moreStyle' );
$addStyleBlocked = $params->get( 'addStyleBlocked' );
$addStyleOnModule = $params->get( 'addStyleOnModule' );
$stylelink = '<style>' ."\r\n";
$stylelink .= '/* Scorpion More Style */'."\r\n";
$stylelink .= $moreStyle;
$stylelink .= "\r\n";
$stylelink .= '</style>' ."\r\n";

// If the style should be on the module then place it there.
if($addStyleOnModule) {
	echo $stylelink;
} else {
	// Otherwise we are going to add it to the HEAD-section of our website.
	if($addStyleBlocked) {
		// Some components or module position block the addStyleDeclaration-function from the Joomla Framework
		// Therefor we can also add it as a tag.
		$doc->addCustomTag($stylelink);
	} else {
		if($moreStyle) {
			$doc->addStyleDeclaration( $moreStyle );
		}
	}
}
?>
